import maya.mel as mel
import maya.cmds as cmds
import os
import sys

def onMayaDroppedPythonFile(val):
    del sys.modules["IMVUStudioToolkitInstall"]
    filePath = os.path.dirname(os.path.abspath(__file__))
    imgPath = filePath + "\IMVUTextures\IMVUMaya.png"
    print(filePath)
    mel.eval('scriptToShelf "IMVU" "import importlib;import IMVUToolkit.IMVUStudioToolkit;importlib.reload(IMVUToolkit.IMVUStudioToolkit);IMVUToolkit.IMVUStudioToolkit.myGui()" "0"')

    gShelfTopLevel = mel.eval("global string $gShelfTopLevel; $temp = $gShelfTopLevel;")
    currentShelf = cmds.tabLayout(gShelfTopLevel, q=True, st=True)
    buttons = cmds.shelfLayout(currentShelf, q=True, ca=True)
    targetButton = 'IMVU'

    for b in buttons:
        label = cmds.shelfButton(b, q=True, l=True)

        if label != targetButton:
            continue
            
        cmds.shelfButton(b, e=True, i=imgPath, iol="")


